Bug 316211 - Notification popups arbitrarily truncate text
Notification popups arbitrarily truncate text
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: notification-daemon (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 307521
  Show dependency treegraph
 
Reported: 2007-10-02 17:13 EDT by Daniel Berrange
Modified: 2013-03-05 22:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-08 17:27:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Demo script to show truncated text (889 bytes, text/plain)
2007-10-02 17:14 EDT, Daniel Berrange
no flags Details
Screenshot showing truncated text (488.96 KB, image/png)
2007-10-02 17:15 EDT, Daniel Berrange
no flags Details

  None (edit)
Description Daniel Berrange 2007-10-02 17:13:08 EDT
Description of problem:
The popup window for the notifications is arbitrarily truncating the text passed
in as the body of notification.

It does not look like a specific length threshold. If I double the amount of
text it'll show more than before, but always misses off the last N% of words

Version-Release number of selected component (if applicable):
notification-daemon-0.3.7-4.fc8

How reproducible:
Always

Steps to Reproduce:
1. Run attached  'notification.pl' script
2.
3.
  
Actual results:
Last word displayed is 'nulla' - last 15 words are missing

Expected results:
All words are displayed

Additional info:
Comment 1 Daniel Berrange 2007-10-02 17:14:16 EDT
Created attachment 214021 [details]
Demo script to show truncated text

The attached script uses perl-Net-DBus to demo truncation of text by the
notification daemon.
Comment 2 Daniel Berrange 2007-10-02 17:15:06 EDT
Created attachment 214031 [details]
Screenshot  showing truncated text

The popup on the left-hand side shows correct full display on Fedora 6. The
popup on the right shows the truncated display on Fedora 8.
Comment 3 Matthias Clasen 2008-05-08 17:27:19 EDT
I believe Jon McCann fixed this a few weeks ago. 

Note You need to log in before you can comment on or make changes to this bug.